# Interface TwinfinityTelemetryClientConfig

Configuration used when registering TwinfinityTelemetryClient instances in CompoundTelemetryClient. Normally done by calling telemetry.set().

interface TwinfinityTelemetryClientConfig {
client: TwinfinityTelemetryClient;
disableBabylonJSLoggerForwarding?: boolean;
name: string;
}

##### Index

### Properties

client
disableBabylonJSLoggerForwarding?
name

## Properties

### client

client: TwinfinityTelemetryClient

TwinfinityTelemetryClient instance.

### `Optional` disableBabylonJSLoggerForwarding

disableBabylonJSLoggerForwarding?: boolean

BabylonJS logs are normally sent to client. Setting this to `true` ensures that they aren't.

### name

name: string

Name of client. Name should be unique.